Dismiss Notice
We would like to remind you that we’re updating our login process for all 3CX forums whereby you will be able to login with the same credentials you use for the Partner or Customer Portal. Click here to read more.

VAD Version 12.5.3951.0, Build 3951

Discussion in 'CRM / Helpdesk / App Integration' started by tsgulen, May 11, 2015.

Thread Status:
Not open for further replies.
  1. tsgulen

    Joined:
    Dec 24, 2013
    Messages:
    7
    Likes Received:
    0
    Hello,

    I just upgraded our 3CX system from 12 to 12.5. But then, I learned that v12.5 is not really compatible with VAD v12. Our IVR scenarios does not work at all with v12.5. What an upgrade?! :/

    After a little search, I found this change log about VAD builds:

    http://www.3cx.com/blog/change-log/vad-change-log/

    How can we download latest build for 3CX 12.5? With your support, hopefully, our PBX will work as it should be.

    P.S. For my opinion, there should be a warning about VAD & 3CX v12.5 compatibility in 3CX v12.5 download page.
     
  2. VAD_Support

    VAD_Support Active Member

    Joined:
    Aug 6, 2009
    Messages:
    690
    Likes Received:
    0
    Hi there!

    There are no compatibility issues between 3CX v12.5 and the VAD. Every time we release a new version of 3CX, we release a new version of the VAD to work with it.

    The latest installer for the VAD can be downloaded from here:
    http://downloads.3cx.com/downloads/3CXVAD12.msi

    The installer name suggests version 12, but it is the VAD v12.5.

    If you're experiencing any issue please let us know so we help you out.

    Kind regards.
     
  3. tsgulen

    Joined:
    Dec 24, 2013
    Messages:
    7
    Likes Received:
    0
    Hello again,
    Thanks for the information. The filename of VAD installer confused me about versions, I thought that it was the previous v12.
    .
    Currently, our IVR scenarios does not work. We will backup current IVR projects. But then, how is the way to upgrade VAD from v12 to v12.5? uninstall the old v12 and install the v12.5? And compile our IVR projects again.
     
  4. VAD_Support

    VAD_Support Active Member

    Joined:
    Aug 6, 2009
    Messages:
    690
    Likes Received:
    0
    VAD projects themselves are compatible between 3CX versions. The compatibility issue may only arise when deploying an app to 3CX. If you have an old version of the VAD, it uses the old 3CX APIs to connect to the 3CX server, and that connection may fail because of that. The latest version of the VAD includes the latest version of the DLLs we need to connect to the 3CX server, and therefore the deployment succeeds.

    Even though, you can still use an old version of the VAD to create projects, but as the direct deployment may fail, you should create a deployment package and deploy locally. Using a deployment package avoids that the VAD connects to the 3CX server directly, and instead it creates a set of files, which you have to copy to the 3CX server, and then deploy locally using a local connection and local up-to-date DLLs.

    What kind of issues are you experiencing with your IVRs? If you backup and restore the 3CX settings, VAD projects should work in v12.5. In any case, you can open the VAD project using the latest version, re-build and re-deploy it to 3CX.

    Kind regards.
     
  5. tsgulen

    Joined:
    Dec 24, 2013
    Messages:
    7
    Likes Received:
    0
    Thanks a lot, your suggestion solved our case.

    We just upgraded 3CX from 12 ->12.5 and IVR scenario started to give error. And local deploying helped.

    Thanks again for the support, now 12.5 started to work as before...
     
Thread Status:
Not open for further replies.